## pgrouting 2.2.4

=== CMakeLists.txt ===
#
# Format convention
# - command (lower case)
# - VARIABLE (upper case)
# (http://www.cmake.org/cmake/help/v2.8.10/cmake.html)
#

cmake_minimum_required(VERSION 2.8./ FATAL_ERROR)
project(PGROUTING)

#set(CMAKE_VERBOSE_MAKEFILE 1)

# Configure options

option(WITH_DOC
    "Set ON|OFF (default=OFF) to build Documentation library tree" OFF)

option(BUILD_LATEX
    "Set ON|OFF (default=OFF) to build Documentation library tree as PDF" OFF)

option(BUILD_HTML
    "Set ON|OFF (default=ON) to build Documentation library tree as HTML" ON)

option(BUILD_MAN
    "Set ON|OFF (default=ON) to build Documentation library tree as MAN page" OFF)

SET(POSTGRESQL_BIN "" CACHE STRING "Define optional path to PostgreSQL binaries an a non-standard location.")


#-----------------------------------------------------------------------------
# PGROUTING version number.
set(PGROUTING_VERSION_MAJOR "2")
set(PGROUTING_VERSION_MINOR "2")
set(PGROUTING_VERSION_PATCH "4")

set(PGROUTING_VERSION_STRING "${PGROUTING_VERSION_MAJOR}.${PGROUTING_VERSION_MINOR}.${PGROUTING_VERSION_PATCH}")
set(PGROUTING_VERSION "${PGROUTING_VERSION_MAJOR}.${PGROUTING_VERSION_MINOR}")

set(POSTGRESQL_MINIMUM_VERSION "9.1.0")
set(POSTGIS_MINIMUM_VERSION "2.0.0")

file(STRINGS "${PGROUTING_SOURCE_DIR}/VERSION" PGROUTING_BUILD_STRING)

set(PGROUTING_GIT_TAG "pgrouting-2.2.4")
#string(REGEX REPLACE "^(.+)-([0-9]+)-([0-9a-f]+) (.*)$" "\\1" PGROUTING_GIT_TAG ${PGROUTING_BUILD_STRING})
string(REGEX REPLACE "^(.+)-([^-]+)-[0-9]+-([0-9a-f]+) (.*)$" "\\2" PGROUTING_GIT_BUILD ${PGROUTING_BUILD_STRING})
string(REGEX REPLACE "^(.+)-([0-9]+)-([0-9a-f]+) (.*)$" "\\3" PGROUTING_GIT_HASH ${PGROUTING_BUILD_STRING})
string(REGEX REPLACE "^(.+)-([0-9]+)-([0-9a-f]+) (.*)$" "\\4" PGROUTING_GIT_BRANCH ${PGROUTING_BUILD_STRING})

set(PGROUTING_VERSION_REVISION_NAME "${PGROUTING_GIT_HASH} ${PGROUTING_GIT_BRANCH}")
set(PGROUTING_VERSION_REVISION_HASH "${PGROUTING_GIT_HASH}")

message(STATUS "CMAKE_VERSION: ${CMAKE_VERSION}")
message(STATUS "PGROUTING_GIT_TAG: ${PGROUTING_GIT_TAG}")
message(STATUS "PGROUTING_GIT_BUILD: ${PGROUTING_GIT_BUILD}")
message(STATUS "PGROUTING_GIT_HASH: ${PGROUTING_GIT_HASH}")
message(STATUS "PGROUTING_GIT_BRANCH: ${PGROUTING_GIT_BRANCH}")
message(STATUS "PGROUTING_VERSION_REVISION_NAME: ${PGROUTING_VERSION_REVISION_NAME}")

message(STATUS "PGROUTING_SOURCE_DIR: ${PGROUTING_SOURCE_DIR}")
message(STATUS "CMAKE_BINARY_DIR: ${CMAKE_BINARY_DIR}")

message(STATUS "PGROUTING_VERSION_REVISION_HASH: ${PGROUTING_VERSION_REVISION_HASH}")
message(STATUS "POSTGRESQL_BIN: ${POSTGRESQL_BIN}")

#-----------------------------------------------------------------------------
# CMAKE configuration
# This is for my mingw64 environment, it should go away
set(CMAKE_PREFIX_PATH /usr:/usr/local)
set(CMAKE_INCLUDE_PATH /usr:/usr/local)
set(CMAKE_LIBRARY_PATH /usr:/usr/local)

add_subdirectory(cmake)
set(CMAKE_MODULE_PATH "${PGROUTING_SOURCE_DIR}/cmake")

include(MacroLibrary)
include(TargetDistclean)

message(STATUS "UNIX=${UNIX}")
message(STATUS "WIN32=${WIN32}")
if(WIN32)
  set(OS_BUILD  $ENV{OS_BUILD})
  if(NOT OS_BUILD)
    set(OS_BUILD "64")
  endif(NOT OS_BUILD)
  set(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH}:/c/ming${OS_BUILD}/projects/pgx${OS_BUILD}/pg92)
  if (NOT BOOST_ROOT)
    set(BOOST_ROOT c:/ming${OS_BUILD}/msys/local)
  endif(NOT BOOST_ROOT)
   
  if (NOT CGAL_ROOT)
    set(CGAL_ROOT c:/ming${OS_BUILD}/msys/local)
  endif(NOT CGAL_ROOT)
  
  if (NOT GMP_ROOT)
    set(GMP_ROOT c:/ming${OS_BUILD}/mingw${OS_BUILD})
  endif(NOT GMP_ROOT)
  message(STATUS "OS_BUILD=${OS_BUILD}")
  message(STATUS "CGAL_ROOT=${CGAL_ROOT}")
  message(STATUS "GMP_ROOT=${GMP_ROOT}")
  message(STATUS "BOOST_ROOT=${BOOST_ROOT}")
  message(STATUS "CMAKE_PREFIX_PATH=${CMAKE_PREFIX_PATH}")
endif(WIN32)


include(FindPerl)
if(NOT PERL_EXECUTABLE)
  message(FATAL_ERROR " Please check your Perl installation.")
endif(NOT PERL_EXECUTABLE)

find_package(PostgreSQL)
if(NOT POSTGRESQL_FOUND)
  message(FATAL_ERROR " Please check your PostgreSQL installation.") 
endif(NOT POSTGRESQL_FOUND)

#set(Boost_DEBUG ON)
find_package(Boost)
if(Boost_INCLUDE_DIRS)
  message(STATUS "Boost headers were found here: ${Boost_INCLUDE_DIR}")
else(Boost_INCLUDE_DIRS)
  message(FATAL_ERROR " Please check your Boost installation ") 
endif(Boost_INCLUDE_DIRS)

find_package(CGAL)
if(NOT CGAL_FOUND)
   message(FATAL_ERROR " Please check your CGAL installation, or set correct path to CGAL_INCLUDE_DIR and CGAL_LIBRARIES.")
endif(NOT CGAL_FOUND)

if(NOT POSTGRESQL_VERSION_STRING)
  message(FATAL_ERROR "pg_config was not found. Please check your PostgreSQL installation!")
endif(NOT POSTGRESQL_VERSION_STRING)

message(STATUS "POSTGRESQL_VERSION_STRING is ${POSTGRESQL_VERSION_STRING}")
string(SUBSTRING "${POSTGRESQL_VERSION_STRING}" 11 -1 POSTGRESQL_VERSION)
message(STATUS "POSTGRESQL_VERSION is ${POSTGRESQL_VERSION}")
string(REGEX REPLACE "^([0-9]+)\\.([0-9]+).*" "\\1\\2" PGSQL_VERSION ${POSTGRESQL_VERSION})
message(STATUS "PGSQL_VERSION is ${PGSQL_VERSION}")

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DPGSQL_VERSION=${PGSQL_VERSION}")

if("${POSTGRESQL_VERSION}" VERSION_LESS "${POSTGRESQL_MINIMUM_VERSION}")
  message(FATAL_ERROR " PostgreSQL ${POSTGRESQL_MINIMUM_VERSION} or greater is required.")
endif("${POSTGRESQL_VERSION}" VERSION_LESS "${POSTGRESQL_MINIMUM_VERSION}")


execute_process(
  COMMAND ${POSTGRESQL_PG_CONFIG} --pkglibdir
  OUTPUT_STRIP_TRAILING_WHITESPACE
  OUTPUT_VARIABLE LIB_DIR)

if(LIB_DIR)
  message(STATUS "Install directory for libraries is set to ${LIB_DIR}")
else(LIB_DIR)
  message(FATAL_ERROR "pg_config --pkglibdir failed to return a value. Please check your PostgreSQL installation!")
endif(LIB_DIR)

set(LIBRARY_INSTALL_PATH ${LIB_DIR})

execute_process(
  COMMAND ${POSTGRESQL_PG_CONFIG} --sharedir
  OUTPUT_STRIP_TRAILING_WHITESPACE
  OUTPUT_VARIABLE SHARE_DIR)

if(SHARE_DIR)
  set(SHARE_DIR "${SHARE_DIR}/extension")
  message(STATUS "Extension directory for SQL files is set to ${SHARE_DIR}")
else(SHARE_DIR)
  message(FATAL_ERROR "pg_config --sharedir failed to return a value. Please check your PostgreSQL installation!")
endif(SHARE_DIR)

# Handles documentation
add_subdirectory(doc)

#include directories: files in alphabetical order
set(PGROUTING_INCLUDE_DIRECTORIES
    ${PGROUTING_SOURCE_DIR}/src/apsp_johnson/src
    ${PGROUTING_SOURCE_DIR}/src/apsp_warshall/src
    ${PGROUTING_SOURCE_DIR}/src/allpairs/src
    ${PGROUTING_SOURCE_DIR}/src/astar/src
    ${PGROUTING_SOURCE_DIR}/src/bd_astar/src
    ${PGROUTING_SOURCE_DIR}/src/bd_dijkstra/src
    ${PGROUTING_SOURCE_DIR}/src/common/src
    ${PGROUTING_SOURCE_DIR}/src/dijkstra/src
    ${PGROUTING_SOURCE_DIR}/src/driving_distance/src
    ${PGROUTING_SOURCE_DIR}/src/kdijkstra/src
    ${PGROUTING_SOURCE_DIR}/src/ksp/src
    ${PGROUTING_SOURCE_DIR}/src/trsp/src
    ${PGROUTING_SOURCE_DIR}/src/tsp/src
    ${PGROUTING_SOURCE_DIR}/src/vrp_basic/src
    ${PGROUTING_SOURCE_DIR}/src/vrppdtw/src

# not using C/C++
    ${PGROUTING_SOURCE_DIR}/src/label_graph/src


#not suported but directory exists
#    ${PGROUTING_SOURCE_DIR}/src/shooting_star/src
    )

include_directories(${PGROUTING_INCLUDE_DIRECTORIES} ${POSTGRESQL_INCLUDE_DIR} ${Boost_INCLUDE_DIRS})


if(WIN32)
  include_directories(${POSTGRESQL_INCLUDE_DIR}/port/win32)
endif(WIN32)

# we need link libpostgres.a on win32 env
if(WIN32)
  message(STATUS "LINK_DIRECTORIES = ${POSTGRESQL_LIBRARIES}")
  link_directories(${POSTGRESQL_LIBRARIES} ${LIB_DIR})
  link_libraries(postgres)
endif(WIN32)

# TODO default compilation with -dNDEBUG 

#compiler directives
if(APPLE)
  # support GNU(Xcode<4) and Clang(Xcode>=4)
  if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
    set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -fPIC -O2 -g -frounding-math")
  else()
    set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -fPIC -O2 -g")
  endif()
  if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC -O2 -g -frounding-math -Wno-deprecated")
  else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC -O2 -std=c++0x -g -Wno-deprecated")
  endif()

elseif(UNIX) # UNIX system variable include UNIX like system(i.e. APPLE and CYGWIN)
    #set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -std=gnu99 -fPIC -O2 -g -Wall -Wconversion -pedantic -fmax-errors=10  -Wmissing-prototypes -frounding-math")
    #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -fPIC -O2 -g -Wall -Wconversion -pedantic -fmax-errors=10 -Wextra  -frounding-math -Wno-deprecated")

    set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -fPIC -O2 -g  -frounding-math")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC -O2 -g -std=c++0x -frounding-math -Wno-deprecated")

elseif(WIN32)
    # currently, support MinGW only
    set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -O2  -frounding-math")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O2  -std=c++0x -frounding-math -Wno-deprecated")
endif()

# List variable to collect module SQL file names
set(PACKAGE_SQL_FILES "")
set(L_PACKAGE_SQL_FILES "")

#==========================
#  PgRouting_SOURCE_NAMES
#==========================

set(PgRouting_SOURCE_NAMES
    "common"

    #to be deprecated
    "kdijkstra"

    "dijkstra"
    "driving_distance"
    "ksp"
    "allpairs"
    "withPoints"

    #"funnyDijkstra"

    "alpha_shape"

    "astar" "bd_astar"
    "bd_dijkstra"
    "trsp" #2.0
    "tsp"

    "vrp_basic"
    "vrppdtw"

    )

#-------------------
# add the subdirectories that have the C/C++ code 
#-------------------

foreach (subdir ${PgRouting_SOURCE_NAMES})
    add_subdirectory("${PGROUTING_SOURCE_DIR}/src/${subdir}/src")
endforeach()

#-----------------------------------------------------------------------------
# List variable to collect module SQL file names
#-----------------------------------------------------------------------------
set(PgRouting_SQL_DIRECTORIES ${PgRouting_SOURCE_NAMES}
    "apsp_johnson"  #V2.0
    "apsp_warshall" #V2.0
    "convinience"
    "topology"
    "label_graph")


set(PACKAGE_SQL_FILES "")
set(LIST_PACKAGE_SQL_FILES "")

foreach (subdir ${PgRouting_SQL_DIRECTORIES})
    add_subdirectory("${PGROUTING_SOURCE_DIR}/src/${subdir}/sql")
endforeach()

list(APPEND LIST_PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}")

#if (CDEBUG)
    foreach (files ${LIST_PACKAGE_SQL_FILES})
        message("${files}")
    endforeach()
#endif()


#add_subdirectory(src)
#list(APPEND L_PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}")


# assemble the object files from the src functions into
# a single library librouting.so
set(LIBRARY_OUTPUT_PATH lib)

if(APPLE)
    set(LIBRARY_MODE_TARGET "MODULE")
else(APPLE)
    set(LIBRARY_MODE_TARGET "SHARED")
endif(APPLE)


LINK_LIBRARIES(${CGAL_LIBRARIES} ${GMP_LIBRARIES} ${BOOST_THREAD_LIBRARIES})

#-------------------
# pgRouting objects to be linked
#-------------------
foreach (subdir ${PgRouting_SOURCE_NAMES} )
    set(PGROUTING_OBJECTS ${PGROUTING_OBJECTS} "$<TARGET_OBJECTS:${subdir}>")
endforeach()


#-----------------------------------------------------------------------------
# PGROUTING Library names
#-----------------------------------------------------------------------------

message("Building the library names")

#----------------------
# PGROUTING installation files names have the following name
#----------------------
set(PGROUTING_LIB_NAME "pgrouting-${PGROUTING_VERSION}")


#----------------------
# PGROUTING library name used in the pgr_functions
#  '$libdir/${PGROUTING_LIBRARY_NAME}'
#----------------------
set(PGROUTING_LIBRARY_NAME "libpgrouting-${PGROUTING_VERSION}")

add_library(${PGROUTING_LIB_NAME}
    ${LIBRARY_MODE_TARGET}
    ${PGROUTING_OBJECTS})

install(TARGETS ${PGROUTING_LIB_NAME} DESTINATION ${LIBRARY_INSTALL_PATH})



if(APPLE)
    set_target_properties(${PGROUTING_LIB_NAME}
        PROPERTIES
        LINK_FLAGS "-bundle_loader ${POSTGRESQL_EXECUTABLE} -bundle")
endif(APPLE)


file(WRITE "${CMAKE_BINARY_DIR}/lib/pgrouting--${PGROUTING_VERSION_STRING}.sql.in"
    "-- pgRouting version '${PGROUTING_VERSION_STRING}' extension for postgresql\n")

=== src/CMakeLists.txt ===
SET(PACKAGE_SQL_FILES "")
SET(L_PACKAGE_SQL_FILES "")



ADD_SUBDIRECTORY(apsp_johnson)
LIST(APPEND L_PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}")

ADD_SUBDIRECTORY(apsp_warshall)
LIST(APPEND L_PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}")

ADD_SUBDIRECTORY(astar)
LIST(APPEND L_PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}")

ADD_SUBDIRECTORY(bd_dijkstra)
LIST(APPEND L_PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}")

ADD_SUBDIRECTORY(bd_astar)
LIST(APPEND L_PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}")

ADD_SUBDIRECTORY(common)
LIST(APPEND L_PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}")

ADD_SUBDIRECTORY(dijkstra)
LIST(APPEND L_PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}")

ADD_SUBDIRECTORY(kdijkstra)
LIST(APPEND L_PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}")

ADD_SUBDIRECTORY(ksp)
LIST(APPEND L_PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}")

ADD_SUBDIRECTORY(trsp)
LIST(APPEND L_PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}")

ADD_SUBDIRECTORY(tsp)
LIST(APPEND L_PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}")

ADD_SUBDIRECTORY(driving_distance)
LIST(APPEND L_PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}")

ADD_SUBDIRECTORY(label_graph)
LIST(APPEND L_PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}")

ADD_SUBDIRECTORY(vrp_basic)
LIST(APPEND L_PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}")

ADD_SUBDIRECTORY(vrppdtw)
LIST(APPEND L_PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}")

ADD_SUBDIRECTORY(allpairs)
LIST(APPEND L_PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}")


#ADD_SUBDIRECTORY(shooting_star)
#LIST(APPEND L_PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}")

# Make sure this is after all the ADD_SUBDIRECTORY
SET(PACKAGE_SQL_FILES "${L_PACKAGE_SQL_FILES}" PARENT_SCOPE)

=== src/alpha_shape/src/CMakeLists.txt ===
ADD_LIBRARY(alpha_shape OBJECT
    alpha.c
    alpha_drivedist.cpp
 )

=== src/astar/sql/CMakeLists.txt ===
# Append in local scope
LIST(APPEND PACKAGE_SQL_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/astar.sql
)

# set in parent scope
SET(PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}" PARENT_SCOPE)

=== src/astar/src/CMakeLists.txt ===
ADD_LIBRARY(astar OBJECT
    astar.c
    astar_boost_wrapper.cpp)

=== src/bd_astar/src/CMakeLists.txt ===
add_library(bd_astar OBJECT 
    bdastar.c 
    MinHeap.cpp 
    bdastar_core.cpp BiDirAStar.cpp)

=== src/bd_dijkstra/src/CMakeLists.txt ===
ADD_LIBRARY(bd_dijkstra OBJECT 
    bdsp.c 
    bdsp_core.cpp 
    BiDirDijkstra.cpp)

=== src/common/sql/CMakeLists.txt ===
# Append in local scope
LIST(APPEND PACKAGE_SQL_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/pgrouting-types.sql
    ${CMAKE_CURRENT_SOURCE_DIR}/pgrouting_version.sql
    ${CMAKE_CURRENT_SOURCE_DIR}/pgrouting_utilities.sql
    ${CMAKE_CURRENT_SOURCE_DIR}/pgr_parameter_check.sql
    ${CMAKE_CURRENT_SOURCE_DIR}/utilities_pgr.sql
    ${CMAKE_CURRENT_SOURCE_DIR}/noUnderUtilities.sql
    ${CMAKE_CURRENT_SOURCE_DIR}/createIndex.sql
    #${CMAKE_CURRENT_SOURCE_DIR}/findClosestEdge.sql
    ${CMAKE_CURRENT_SOURCE_DIR}/_point_toId.sql
    
)

# set in parent scope
SET(PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}" PARENT_SCOPE)

=== src/common/src/CMakeLists.txt ===
ADD_LIBRARY(common OBJECT 
    postgres_connection.c
    restrictions_input.c
    basePath_SSEC.cpp
    points_input.c
    get_check_data.c
    edges_input.c
    arrays_input.c
    time_msg.c
    )

=== src/convinience/sql/CMakeLists.txt ===
# Append in local scope
LIST(APPEND PACKAGE_SQL_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/pgrouting_conversion_tools.sql
    ${CMAKE_CURRENT_SOURCE_DIR}/pgrouting_dmatrix_tools.sql
    ${CMAKE_CURRENT_SOURCE_DIR}/pgr_vidsToDMatrix_dir.sql
)

# set in parent scope
SET(PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}" PARENT_SCOPE)

=== src/driving_distance/src/CMakeLists.txt ===
ADD_LIBRARY(driving_distance OBJECT
    drivedist.c
    many_to_dist_driving_distance.c
    boost_interface_drivedist.cpp

    withPoints_dd.c
    many_to_dist_withPointsDD.c
    withPoints_dd_driver.cpp
 )

=== src/kdijkstra/src/CMakeLists.txt ===
ADD_LIBRARY(kdijkstra OBJECT 
    k_targets_boost_wrapper.cpp  
    k_targets_sp.c)

=== debian/changelog ===
pgrouting (2.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file, changes:
    - Change Source URL to GitHub
    - Fix Upstream-Name capitalization
  * Drop override for debian-watch-may-check-gpg-signature.
  * Drop vrp_basic-include-math.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 10 Aug 2016 00:56:59 +0200

pgrouting (2.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop references from PostLBS from package description.
  * Add patch to fix vrp_basic build failure (include math.h for ceil).

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 16 May 2016 11:46:05 +0200

pgrouting (2.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 Apr 2016 12:52:15 +0200

pgrouting (2.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop spelling-errors.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Apr 2016 09:01:34 +0200

pgrouting (2.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file, changes:
    - Update copyright years for various copyright holders
    - Add license & copyright for sources by Razequl Islam
    - Add new files by Alexander Neundorf
    - Add license & copyright for CMake files by Kitware, Inc
  * Bump Standards-Version to 3.9.8, no changes.
  * Simplify file glob patterns in doc-base.
  * Enable verbose make output.
  * Add patch to fix spelling errors.
  * Enable all hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Apr 2016 01:20:10 +0200

=== debian/control ===
Source: pgrouting
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
Section: misc
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9),
               libboost-graph-dev,
               libcgal-dev,
               libjs-mathjax,
               postgresql-server-dev-all,
               python-sphinx (>= 1.0.7+dfsg)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pgrouting.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pgrouting.git
Homepage: http://www.pgrouting.org

Package: postgresql-9.5-pgrouting
Architecture: any
Depends: postgresql-9.5,
         postgresql-9.5-postgis-2.2,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: postgresql-9.5-pgrouting-doc
Description: Routing functionality support for PostgreSQL/PostGIS
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package supports PostgreSQL 9.5.

Package: postgresql-9.5-pgrouting-doc
Architecture: all
Section: doc
Depends: libjs-mathjax,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Routing functionality support for PostgreSQL/PostGIS (Documentation)
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CFLAGS   += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

include /usr/share/postgresql-common/pgxs_debian_control.mk

%:
	dh $@ --with sphinxdoc --parallel

override_dh_auto_configure:
	set -e; \
	for v in $$(pg_buildext supported-versions); do \
		cmake -H. -Bbuild-$$v -DWITH_DOC=ON -DPOSTGRESQL_PG_CONFIG=/usr/lib/postgresql/$$v/bin/pg_config -DCMAKE_VERBOSE_MAKEFILE=1; \
	done

override_dh_auto_build:
	+pg_buildext build build-%v
	set -e; \
	for v in $$(pg_buildext supported-versions); do \
		make -C build-$$v doc; \
		rm build-$$v/doc/html/en/_static/images/pgrouting.png; \
		ln -s ../pgrouting.png build-$$v/doc/html/en/_static/images/pgrouting.png; \
		rm build-$$v/doc/html/en/_static/images/ccbysa.png; \
		ln -s ../../_images/ccbysa.png build-$$v/doc/html/en/_static/images/ccbysa.png; \
		ln -s /usr/share/javascript/mathjax build-$$v/doc/html/en/_static/mathjax; \
	done

override_dh_auto_install:
	+pg_buildext install build-%v postgresql-%v-pgrouting
	set -e; \
	for v in $$(pg_buildext supported-versions); do \
		mkdir -p debian/postgresql-$$v-pgrouting-doc/usr/share/doc/postgresql-$$v-pgrouting-doc; \
		cp -r build-$$v/doc/html debian/postgresql-$$v-pgrouting-doc/usr/share/doc/postgresql-$$v-pgrouting-doc; \
		mkdir -p debian/postgresql-$$v-pgrouting-doc/usr/share/doc-base; \
		sed "s,PGVERSION,$$v,g" <debian/postgresql-pgrouting-doc.doc-base.in >debian/postgresql-$$v-pgrouting-doc/usr/share/doc-base/postgresql-$$v-pgrouting-doc; \
	done

override_dh_auto_clean:
	+pg_buildext clean build-%v

override_dh_sphinxdoc-indep:
	dh_sphinxdoc -Xtheme_extras.js

override_dh_sphinxdoc-arch:

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs doc/src/changelog/2_2_4.rst

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/postgresql

## pgrouting 2.3.0

=== CMakeLists.txt ===
#
# Format convention
# - command (lower case)
# - VARIABLE (upper case)
# (http://www.cmake.org/cmake/help/v2.8.12/cmake.html)
#

cmake_minimum_required(VERSION 2.8 FATAL_ERROR)

#---------------------------------------------
# Setting kind of build
#---------------------------------------------
#
# On Master cmake -DMAKE_BUILD_TYPE=Release
#----------------------


message(STATUS "CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE}")
if(NOT CMAKE_BUILD_TYPE)
    if (UNIX)
        set(CMAKE_BUILD_TYPE Release CACHE STRING
            "Choose the type of build, options are: None Debug Release RelWithDebInfo
            MinSizeRel."
            FORCE)
        message("Running as: Debug")
    else()
        set(CMAKE_BUILD_TYPE Release CACHE STRING
            "Choose the type of build, options are: None Debug Release RelWithDebInfo
            MinSizeRel."
            FORCE)
        message("Running as: Release")
    endif()
endif()
message(STATUS "CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE}")


#---------------------------------------------
#---------------------------------------------
#---------------------------------------------

project(PGROUTING)

#---------------------------------------------
#---------------------------------------------
#---------------------------------------------

if(POLICY CMP0046)
   cmake_policy(SET CMP0046 OLD)
endif()

if(MSVC)
    cmake_policy(SET CMP0046 OLD)
endif()

#=============================================
# Set the working directories
#=============================================

#---------------------------------------------
#  PgRouting_SOURCE_NAMES
#---------------------------------------------
#
# Name of the directories that have C/C++ code
#  - <directory>/src/CMakelists.txt must exist
#  - <directory>/sql/CMakeLists.txt  must exist
#----------------------

set(PgRouting_SOURCE_NAMES

    #----------------------
    # "common" must be first can not be removed
    #----------------------
    "common"

    #----------------------
    # "dijkstra" can not be removed 
    #   Has the command needed to link with prostgresl
    #----------------------
    "dijkstra" 

    #----------------------
    # Directories that have being rewritten
    #----------------------
    "allpairs"
    "astar"
    "driving_distance"
    "ksp"
    "tsp"

    #----------------------
    # Code needs to be rewritten
    #----------------------
    "alpha_shape"
    "bd_astar"
    "bd_dijkstra"
    "trsp"

    #----------------------
    # Proposed
    #  - Not officially on the release
    #  - number indicates version when was propsosed with code
    #----------------------
    "max_flow"    # 2.3
    "contraction" # 2.3
    "pickDeliver" # 2.3
    "vrp_basic"   # 2.0 
    "withPoints"  # 2.2

    # template generated name
    #"funnyDijkstra"

    )

#-----------------------------------------------------------------------------
# Name of the directories containing only SQL files
#
#  - <directory>/sql/CMakeLists.txt  must exist
#-----------------------------------------------------------------------------
set(PgRouting_SQL_DIRECTORIES 

    "topology"     # needs to be revised

    #----------------------
    # Proposed
    #  Not officially on the release
    #----------------------
    "convenience"  # most are deprecated
    "label_graph"  # needs to be rewritten using Boost
    "costMatrix"   # proposed on 2.3

    #----------------------
    # Wrappers for backwards compatibility 
    #----------------------
    "apsp_johnson"  # 2.0 wrap of pgr_johnson
    "apsp_warshall" # 2.0 wrap of pgr_warshall
    "kdijkstra"     # 2.0 wrap of pgr_dijkstra & pgr_dijkstraCost
    "vrppdtw"       # 2.1 wraps of _pgr_pickDeliver 

    )

#---------------------------------------------
# minimum versions
#---------------------------------------------
set(DOXYGEN_MINIMUM_VERSION "1.8.6")
set(SPHINX_MINIMUM_VERSION "1.1")

message(STATUS "DOXYGEN_MINIMUM_VERSION=${DOXYGEN_MINIMUM_VERSION}")
message(STATUS "SPHINX_MINIMUM_VERSION=${SPHINX_MINIMUM_VERSION}")


#---------------------------------------------
# C++ Compiler requirements
#---------------------------------------------


include(CheckCXXCompilerFlag)

if (NOT MSVC) 
    CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
    message(STATUS "COMPILER_SUPPORTS_CXX0X= ${COMPILER_SUPPORTS_CXX0X}")
    message(STATUS "CMAKE_CXX_COMPILER= ${CMAKE_CXX_COMPILER}")
    if(COMPILER_SUPPORTS_CXX0X)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
    else()
        CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
        message(STATUS "COMPILER_SUPPORTS_CXX11= ${COMPILER_SUPPORTS_CXX11}")
        if(COMPILER_SUPPORTS_CXX11)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
        else()
            message(FATAL_ERROR "The compiler ${CMAKE_CXX_COMPILER} has no C++0x nor C++11 support.
            Please use a different C++ compiler.")
        endif()
    endif()
endif()

#-----------------------------------------------------------------------------
# PGROUTING version number.
set(PGROUTING_VERSION_MAJOR "2")
set(PGROUTING_VERSION_MINOR "3")
set(PGROUTING_VERSION_PATCH "0")

set(PGROUTING_VERSION_STRING "${PGROUTING_VERSION_MAJOR}.${PGROUTING_VERSION_MINOR}.${PGROUTING_VERSION_PATCH}")
set(PGROUTING_VERSION "${PGROUTING_VERSION_MAJOR}.${PGROUTING_VERSION_MINOR}")

set(POSTGRESQL_MINIMUM_VERSION "9.1.0")
set(POSTGIS_MINIMUM_VERSION "2.0.0")

file(STRINGS "${PGROUTING_SOURCE_DIR}/VERSION" PGROUTING_BUILD_STRING)

set(PGROUTING_GIT_TAG "pgrouting-2.3.0")

#string(REGEX REPLACE "^(.+)-([0-9]+)-g([0-9a-f]+) (.*)$" "\\1" PGROUTING_GIT_TAG ${PGROUTING_BUILD_STRING})
string(REGEX REPLACE "^(.+)-([^-]+)-[0-9]+-([0-9a-f]+) (.*)$" "\\2" PGROUTING_GIT_BUILD ${PGROUTING_BUILD_STRING})
string(REGEX REPLACE "^(.+)-([0-9]+)-([0-9a-f]+) (.*)$" "\\3" PGROUTING_GIT_HASH ${PGROUTING_BUILD_STRING})
string(REGEX REPLACE "^(.+)-([0-9]+)-([0-9a-f]+) (.*)$" "\\4" PGROUTING_GIT_BRANCH ${PGROUTING_BUILD_STRING})

set(PGROUTING_VERSION_REVISION_NAME "${PGROUTING_GIT_HASH} ${PGROUTING_GIT_BRANCH}")
set(PGROUTING_VERSION_REVISION_HASH "${PGROUTING_GIT_HASH}")

message(STATUS "CMAKE_VERSION: ${CMAKE_VERSION}")
message(STATUS "PGROUTING_BUILD_STRING: ${PGROUTING_BUILD_STRING}")
message(STATUS "PGROUTING_GIT_TAG: ${PGROUTING_GIT_TAG}")
message(STATUS "PGROUTING_GIT_BUILD: ${PGROUTING_GIT_BUILD}")
message(STATUS "PGROUTING_GIT_HASH: ${PGROUTING_GIT_HASH}")
message(STATUS "PGROUTING_GIT_BRANCH: ${PGROUTING_GIT_BRANCH}")
message(STATUS "PGROUTING_VERSION_REVISION_NAME: ${PGROUTING_VERSION_REVISION_NAME}")

message(STATUS "PGROUTING_SOURCE_DIR: ${PGROUTING_SOURCE_DIR}")
message(STATUS "CMAKE_BINARY_DIR: ${CMAKE_BINARY_DIR}")

message(STATUS "PGROUTING_VERSION_REVISION_HASH: ${PGROUTING_VERSION_REVISION_HASH}")
message(STATUS "POSTGRESQL_BIN: ${POSTGRESQL_BIN}")



#-----------------------------------------------------------------------------
# CMAKE configuration
# This is for my mingw64 environment, it should go away
set(CMAKE_PREFIX_PATH /usr:/usr/local)
set(CMAKE_INCLUDE_PATH /usr:/usr/local)
set(CMAKE_LIBRARY_PATH /usr:/usr/local)

add_subdirectory(cmake)
set(CMAKE_MODULE_PATH "${PGROUTING_SOURCE_DIR}/cmake")

include(MacroLibrary)
include(TargetDistclean)

if(WIN32 AND NOT MSVC)
    set(OS_BUILD  $ENV{OS_BUILD})
    if(NOT OS_BUILD)
        set(OS_BUILD "64")
    endif(NOT OS_BUILD)
    set(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH}:/c/ming${OS_BUILD}/projects/pgx${OS_BUILD}/pg92)
    if (NOT BOOST_ROOT)
        set(BOOST_ROOT c:/ming${OS_BUILD}/msys/local)
    endif(NOT BOOST_ROOT)

    if (NOT CGAL_ROOT)
        set(CGAL_ROOT c:/ming${OS_BUILD}/msys/local)
    endif(NOT CGAL_ROOT)

    if (NOT GMP_ROOT)
        set(GMP_ROOT c:/ming${OS_BUILD}/mingw${OS_BUILD})
    endif(NOT GMP_ROOT)
    message(STATUS "OS_BUILD=${OS_BUILD}")
    message(STATUS "CGAL_ROOT=${CGAL_ROOT}")
    message(STATUS "GMP_ROOT=${GMP_ROOT}")
    message(STATUS "BOOST_ROOT=${BOOST_ROOT}")
    message(STATUS "CMAKE_PREFIX_PATH=${CMAKE_PREFIX_PATH}")
endif(WIN32 AND NOT MSVC)


include(FindPerl)
if(NOT PERL_EXECUTABLE)
    message(FATAL_ERROR " Please check your Perl installation.")
endif(NOT PERL_EXECUTABLE)

find_package(PostgreSQL)
if(NOT POSTGRESQL_FOUND)
    message(FATAL_ERROR " Please check your PostgreSQL installation.") 
endif(NOT POSTGRESQL_FOUND)

#set(Boost_DEBUG ON)
find_package(Boost)
if(Boost_INCLUDE_DIRS)
    message(STATUS "Boost headers were found here: ${Boost_INCLUDE_DIRS}")
    #find_file(MYVAR geometry.hpp)
    #message(STATUS "geometry.hpp  found here: ${MYVAR}")
else(Boost_INCLUDE_DIRS)
    message(FATAL_ERROR " Please check your Boost installation ") 
endif(Boost_INCLUDE_DIRS)

find_package(CGAL)
if(NOT CGAL_FOUND)
    message(FATAL_ERROR " Please check your CGAL installation, or set correct path to CGAL_INCLUDE_DIR and CGAL_LIBRARIES.")
endif(NOT CGAL_FOUND)

if(NOT POSTGRESQL_VERSION_STRING)
    message(FATAL_ERROR "pg_config was not found. Please check your PostgreSQL installation!")
endif(NOT POSTGRESQL_VERSION_STRING)

message(STATUS "POSTGRESQL_VERSION_STRING is ${POSTGRESQL_VERSION_STRING}")
string(SUBSTRING "${POSTGRESQL_VERSION_STRING}" 11 -1 POSTGRESQL_VERSION)
message(STATUS "POSTGRESQL_VERSION is ${POSTGRESQL_VERSION}")
string(REGEX REPLACE "^([0-9]+)\\.([0-9]+).*" "\\1\\2" PGSQL_VERSION ${POSTGRESQL_VERSION})
message(STATUS "PGSQL_VERSION is ${PGSQL_VERSION}")

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DPGSQL_VERSION=${PGSQL_VERSION}")

#TODO maybe needs a wrapper for visual studio
if(WIN32 AND MSVC)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_CRT_SECURE_NO_DEPRECATE")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_SCL_SECURE_NO_DEPRECATE")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_CRT_SECURE_NO_WARNINGS")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_SCL_SECURE_NO_WARNINGS")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_CRT_NONSTDC_NO_DEPRECATE")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -EHsc")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_C_FLAGS}")
endif()

if("${POSTGRESQL_VERSION}" VERSION_LESS "${POSTGRESQL_MINIMUM_VERSION}")
    message(FATAL_ERROR " PostgreSQL ${POSTGRESQL_MINIMUM_VERSION} or greater is required.")
endif("${POSTGRESQL_VERSION}" VERSION_LESS "${POSTGRESQL_MINIMUM_VERSION}")


execute_process(
    COMMAND ${POSTGRESQL_PG_CONFIG} --pkglibdir
    OUTPUT_STRIP_TRAILING_WHITESPACE
    OUTPUT_VARIABLE LIB_DIR)

if(LIB_DIR)
    message(STATUS "Install directory for libraries is set to ${LIB_DIR}")
else(LIB_DIR)
    message(FATAL_ERROR "pg_config --pkglibdir failed to return a value. Please check your PostgreSQL installation!")
endif(LIB_DIR)

set(LIBRARY_INSTALL_PATH ${LIB_DIR})

execute_process(
    COMMAND ${POSTGRESQL_PG_CONFIG} --sharedir
    OUTPUT_STRIP_TRAILING_WHITESPACE
    OUTPUT_VARIABLE SHARE_DIR)

if(SHARE_DIR)
    set(SHARE_DIR "${SHARE_DIR}/extension")
    message(STATUS "Extension directory for SQL files is set to ${SHARE_DIR}")
else(SHARE_DIR)
    message(FATAL_ERROR "pg_config --sharedir failed to return a value. Please check your PostgreSQL installation!")
endif(SHARE_DIR)

#-------------------------------------
# Handles documentation
#-------------------------------------
set(PROJECT_NAME  "pgRouting")
set(PROJECT_BRIEF "pgRouting extends the PostGIS / PostgreSQL geospatial database to provide geospatial routing functionality.")
set(PROJECT_NUMBER  "${PGROUTING_GIT_TAG}")
add_subdirectory(doxygen)
add_subdirectory(doc)
#-------------------------------------

#include directories: files in alphabetical order
set(PGROUTING_INCLUDE_DIRECTORIES
    ${PGROUTING_SOURCE_DIR}/src/common/src
    ${PGROUTING_SOURCE_DIR}/src/dijkstra/src
    )

include_directories(${PGROUTING_INCLUDE_DIRECTORIES} ${POSTGRESQL_INCLUDE_DIR} ${Boost_INCLUDE_DIRS} ${CGAL_INCLUDE_DIR})
message(STATUS "PGROUTING_INCLUDE_DIRECTORIES = ${PGROUTING_INCLUDE_DIRECTORIES}")
message(STATUS "POSTGRESQL_INCLUDE_DIR = ${POSTGRESQL_INCLUDE_DIR}")
message(STATUS "Boost_INCLUDE_DIRS = ${Boost_INCLUDE_DIRS}")

=== doc/CMakeLists.txt ===
# 
# Find Sphinx
# Find Sphinx executable to build documentation
# Source: http://ericscottbarr.com/blog/2012/03/sphinx-and-cmake-beautiful-documentation-for-c-projects/
# 
# Daniel Kastl 03/2013
#

option(WITH_DOC
     "Set ON|OFF (default=OFF) to build Documentation library tree" OFF)

option(BUILD_LATEX
    "Set ON|OFF (default=OFF) to build Documentation library tree as PDF" OFF)

option(BUILD_HTML
    "Set ON|OFF (default=ON) to build Documentation library tree as HTML" ON)

option(BUILD_MAN
    "Set ON|OFF (default=ON) to build Documentation library tree as MAN page" OFF)

set(SPHINX_THEME "haiku")
#set(SPHINX_THEME_DIR "_themes")

if(WITH_DOC)

    find_package(Sphinx "${SPHINX_MINIMUM_VERSION}")

    if (NOT SPHINX_FOUND)
        message(WARNING "Sphinx not found. Cannot generate documentation!")
    else()
        if (SPHINX_VERSION VERSION_LESS 1.0)
            message(WARNING "Your Sphinx version is too old!
                This project requires Sphinx v1.0 or above to produce
                proper documentation (you have v${SPHINX_VERSION}).
                You will get output but it will have errors.")
        endif()

        if(NOT DEFINED SPHINX_THEME)
            set(SPHINX_THEME default)
        endif()

        if(NOT DEFINED SPHINX_THEME_DIR)
            set(SPHINX_THEME_DIR)
        endif()

        # configured documentation tools and intermediate build results
        set(BINARY_BUILD_DIR "${PGROUTING_BINARY_DIR}/doc/_build")

        message(STATUS "BINARY_BUILD_DIR = ${BINARY_BUILD_DIR}")
        message(STATUS "PGROUTING_BINARY_DIR = ${PGROUTING_BINARY_DIR}")

        # Sphinx cache with pickled ReST documents
        set(SPHINX_CACHE_DIR "${PGROUTING_BINARY_DIR}/doc/_doctrees")

        file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/static" DESTINATION "${BINARY_BUILD_DIR}")
        file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/themes" DESTINATION "${BINARY_BUILD_DIR}")
        file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/CNAME" DESTINATION "${PGROUTING_BINARY_DIR}")

        configure_file(
            "${CMAKE_CURRENT_SOURCE_DIR}/forward.html"
            "${PGROUTING_BINARY_DIR}/doc/html/en/index.html")

        # Add documentation to targets
        set(DOC_TARGETS html)

        option(BUILD_MAN "Create a target for building man pages." ON)

        if (BUILD_MAN)
            if (SPHINX_VERSION VERSION_LESS 1.0)
                message(WARNING "Sphinx version 1.0 > is required to build man pages. You have v${SPHINX_VERSION}.")
            else()
                list(APPEND DOC_TARGETS man)
            endif()
        endif()

        option(BUILD_LATEX "Create a target for building latex docs (to create PDF)." ON)

        if (BUILD_LATEX)
            find_package(LATEX)

            if (NOT LATEX_COMPILER)
                message("Couldn't find Latex, can't build latex docs using Sphinx")
            else()
                message(STATUS "LATEX_COMPILER = ${LATEX_COMPILER}")
                list(APPEND DOC_TARGETS latex)
            endif()
        endif()

        # The doc target will build all documentation targets.
        add_custom_target(doc #ALL
            COMMENT "Building documentation with Sphinx")
        # add_custom_target(doc)

        # Localization output directory
        #set(SPHINX_I18N_DIR "${CMAKE_CURRENT_SOURCE_DIR}/i18n/pot")

        configure_file(
            "${CMAKE_CURRENT_SOURCE_DIR}/conf.py.in"
            "${BINARY_BUILD_DIR}/conf.py"
            @ONLY)

        foreach (DOC_TARGET ${DOC_TARGETS})
            add_custom_command(
                TARGET doc POST_BUILD
                COMMAND ${SPHINX_EXECUTABLE} 
                    # -q   # Enable for quiet mode 
                    # -Q  # Enable for even more quiet mode
                    -b ${DOC_TARGET}
                    -E  # don't use a saved environment, always read all file
                    -a  # write all files; default is to only write new and changed files
                    -d "${SPHINX_CACHE_DIR}" 
                    -c "${BINARY_BUILD_DIR}" 
                    "${PGROUTING_SOURCE_DIR}" 
                    "${PGROUTING_BINARY_DIR}/doc/${DOC_TARGET}/en"
                COMMENT "Generating ${DOC_TARGET} documentation ...")
        endforeach()

        if(BUILD_LATEX)
            if(LATEX_COMPILER)
                add_custom_command(
                    TARGET doc POST_BUILD
                    COMMAND pdflatex 
                        -interaction=nonstopmode 
                        "pgRoutingDocumentation.tex" > /dev/null 2>&1
                    WORKING_DIRECTORY "${PGROUTING_BINARY_DIR}/doc/latex/en"
                    COMMENT "Converting Latex to PDF format")

                list(APPEND DOC_TARGETS pdf)
            endif()
        endif()

        message("-- Building documentation enabled for: ${DOC_TARGETS}")
    endif()

endif(WITH_DOC)

=== doxygen/CMakeLists.txt ===
#
# Based on:
# https://majewsky.wordpress.com/2010/08/14/tip-of-the-day-cmake-and-doxygen/
#

option(BUILD_DOXY
    "Set ON|OFF (default=OFF) to build Developers Documentation" OFF)

if (BUILD_DOXY)
    message(STATUS "Developers documentation.")
    find_package(Doxygen ${DOXYGEN_MINIMUM_VERSION})

    if(DOXYGEN_FOUND)
        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
        add_custom_target(doxy
            ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
            WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
            COMMENT "Generating API documentation with Doxygen" VERBATIM
            )
        message(".....OK")
    endif()

endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -55,5 +55,8 @@
 #ADD_SUBDIRECTORY(shooting_star)
 #LIST(APPEND L_PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}")
 
+#ADD_SUBDIRECTORY(contraction)
+#LIST(APPEND L_PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}")
+
 # Make sure this is after all the ADD_SUBDIRECTORY
 SET(PACKAGE_SQL_FILES "${L_PACKAGE_SQL_FILES}" PARENT_SCOPE)

=== src/allpairs/sql/CMakeLists.txt ===
# Append in local scope
LIST(APPEND PACKAGE_SQL_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/johnson.sql
    ${CMAKE_CURRENT_SOURCE_DIR}/floydWarshall.sql
    )

# set in parent scope
SET(PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}" PARENT_SCOPE)

=== src/alpha_shape/sql/CMakeLists.txt ===
# Append in local scope
LIST(APPEND PACKAGE_SQL_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/alpha_shape.sql
    )

# set in parent scope
SET(PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}" PARENT_SCOPE)

=== src/apsp_johnson/sql/CMakeLists.txt ===
# Append in local scope
LIST(APPEND PACKAGE_SQL_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/apsp_johnson_v2.2.sql
    )

# set in parent scope
SET(PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}" PARENT_SCOPE)

=== src/apsp_warshall/sql/CMakeLists.txt ===
# Append in local scope
LIST(APPEND PACKAGE_SQL_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/apsp_warshall_v2.2.sql
    )

# set in parent scope
SET(PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}" PARENT_SCOPE)

=== src/astar/sql/CMakeLists.txt ===
# Append in local scope
LIST(APPEND PACKAGE_SQL_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/astarV2.0.sql
    ${CMAKE_CURRENT_SOURCE_DIR}/astarOneToOne.sql

    #for version 3.0
    #${CMAKE_CURRENT_SOURCE_DIR}/_astar.sql
    #${CMAKE_CURRENT_SOURCE_DIR}/astar.sql
    #${CMAKE_CURRENT_SOURCE_DIR}/astarCost.sql
    )

# set in parent scope
SET(PACKAGE_SQL_FILES "${PACKAGE_SQL_FILES}" PARENT_SCOPE)

=== src/astar/src/CMakeLists.txt ===
ADD_LIBRARY(astar OBJECT
    astarOneToOne.c
    astarOneToOne_driver.cpp

    #for version 3.0
    #astarOneToMany.c
    #astarOneToMany_driver.cpp

    #astarManyToOne.c
    #astarManyToMany.c
    #astarManyToMany_driver.cpp
    )

=== src/bd_astar/src/CMakeLists.txt ===
add_library(bd_astar OBJECT 
    bdastar.c 
    MinHeap.cpp 
    bdastar_driver.cpp
    BiDirAStar.cpp)

=== src/bd_dijkstra/src/CMakeLists.txt ===
ADD_LIBRARY(bd_dijkstra OBJECT 
    bdsp.c 
    bdsp_driver.cpp 
    BiDirDijkstra.cpp)

=== debian/changelog ===
pgrouting (2.3.0-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg (jenkins-pgrouting-source-distribution=sid-11,
    b231bcbf092b5a66765557ac2c4c25399a8affd4/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Wed, 28 Sep 2016 22:18:28 +0200

pgrouting (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Sep 2016 22:04:24 +0200

pgrouting (2.3.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop exception-typo.patch, fixed upstream. Refresh remaining patch.
  * Update copyright file, changes:
    - Add additional copyright holders
    - Add license & copyright for fix_typos.sh
    - Drop license & copyright for shooting_star, removed upstream
  * Update Files & Index for doc-base registration.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Sep 2016 18:36:41 +0200

pgrouting (2.2.4-2~exp1) experimental; urgency=medium

  * Team upload.
  * Update packaging for postgresql 9.6 & postgis 2.3.
  * Add patch to fix 'exception' typo.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Sep 2016 16:19:07 +0200

=== debian/control ===
--- 
+++ 
@@ -15,20 +15,20 @@
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pgrouting.git
 Homepage: http://www.pgrouting.org
 
-Package: postgresql-9.5-pgrouting
+Package: postgresql-9.6-pgrouting
 Architecture: any
-Depends: postgresql-9.5,
-         postgresql-9.5-postgis-2.2,
+Depends: postgresql-9.6,
+         postgresql-9.6-postgis-2.3,
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: postgresql-9.5-pgrouting-doc
+Suggests: postgresql-9.6-pgrouting-doc
 Description: Routing functionality support for PostgreSQL/PostGIS
  pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
  geospatial routing and other network analysis functionality.
  .
- This package supports PostgreSQL 9.5.
+ This package supports PostgreSQL 9.6.
 
-Package: postgresql-9.5-pgrouting-doc
+Package: postgresql-9.6-pgrouting-doc
 Architecture: all
 Section: doc
 Depends: libjs-mathjax,

=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,7 @@
 	dh_install --list-missing
 
 override_dh_installchangelogs:
-	dh_installchangelogs doc/src/changelog/2_2_4.rst
+	dh_installchangelogs doc/src/changelog/release_notes.rst
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Xusr/lib/postgresql

## pgrouting 2.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
             "Choose the type of build, options are: None Debug Release RelWithDebInfo
             MinSizeRel."
             FORCE)
-        message("Running as: Debug")
+        message("Running as: Release")
     else()
         set(CMAKE_BUILD_TYPE Release CACHE STRING
             "Choose the type of build, options are: None Debug Release RelWithDebInfo
@@ -177,7 +177,7 @@
 # PGROUTING version number.
 set(PGROUTING_VERSION_MAJOR "2")
 set(PGROUTING_VERSION_MINOR "3")
-set(PGROUTING_VERSION_PATCH "0")
+set(PGROUTING_VERSION_PATCH "1")
 
 set(PGROUTING_VERSION_STRING "${PGROUTING_VERSION_MAJOR}.${PGROUTING_VERSION_MINOR}.${PGROUTING_VERSION_PATCH}")
 set(PGROUTING_VERSION "${PGROUTING_VERSION_MAJOR}.${PGROUTING_VERSION_MINOR}")
@@ -187,7 +187,7 @@
 
 file(STRINGS "${PGROUTING_SOURCE_DIR}/VERSION" PGROUTING_BUILD_STRING)
 
-set(PGROUTING_GIT_TAG "pgrouting-2.3.0")
+set(PGROUTING_GIT_TAG "v2.3.1")
 
 #string(REGEX REPLACE "^(.+)-([0-9]+)-g([0-9a-f]+) (.*)$" "\\1" PGROUTING_GIT_TAG ${PGROUTING_BUILD_STRING})
 string(REGEX REPLACE "^(.+)-([^-]+)-[0-9]+-([0-9a-f]+) (.*)$" "\\2" PGROUTING_GIT_BUILD ${PGROUTING_BUILD_STRING})
